$(() => {
$('#chart').dxChart({
palette: 'vintage',
dataSource,
commonSeriesSettings: {
argumentField: 'year',
type: 'fullstackedbar',
},
series: [{
valueField: 'africa',
name: 'Africa',
}, {
valueField: 'asia',
name: 'Asia',
}, {
valueField: 'europe',
name: 'Europe',
}, {
valueField: 'latinamerica',
name: 'Latin America & Caribbean',
}, {
valueField: 'northamerica',
name: 'Northern America',
}, {
valueField: 'oceania',
name: 'Oceania',
}, {
axis: 'total',
type: 'spline',
valueField: 'total',
name: 'Total',
color: '#008fd8',
},
],
valueAxis: [{
grid: {
visible: true,
},
}, {
name: 'total',
position: 'right',
grid: {
visible: true,
},
title: {
text: 'Total Population, billions',
},
}],
tooltip: {
enabled: true,
shared: true,
format: {
type: 'largeNumber',
precision: 1,
},
customizeTooltip(arg) {
const items = arg.valueText.split('\n');
const color = arg.point.getColor();
$.each(items, (index, item) => {
if (item.indexOf(arg.seriesName) === 0) {
items[index] = $('<span>')
.text(item)
.addClass('active')
.css('color', color)
.prop('outerHTML');
}
});
return { text: items.join('\n') };
},
},
legend: {
verticalAlignment: 'bottom',
horizontalAlignment: 'center',
},
export: {
enabled: true,
},
title: {
text: 'Evolution of Population by Continent',
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.1.3/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
.active {
font-weight: 500;
}
const dataSource = [{
year: '1750',
africa: 106000000,
asia: 502000000,
europe: 163000000,
latinamerica: 16000000,
northamerica: 2000000,
oceania: 2000000,
total: 791000000,
}, {
year: '1800',
africa: 107000000,
asia: 635000000,
europe: 203000000,
latinamerica: 24000000,
northamerica: 7000000,
oceania: 2000000,
total: 978000000,
}, {
year: '1850',
africa: 111000000,
asia: 809000000,
europe: 276000000,
latinamerica: 38000000,
northamerica: 26000000,
oceania: 2000000,
total: 1262000000,
}, {
year: '1900',
africa: 133000000,
asia: 947000000,
europe: 408000000,
latinamerica: 74000000,
northamerica: 82000000,
oceania: 6000000,
total: 1650000000,
}, {
year: '1950',
africa: 229895000,
asia: 1403388000,
europe: 547287000,
latinamerica: 167368000,
northamerica: 171614000,
oceania: 12675000,
total: 2532227000,
}, {
year: '2000',
africa: 811101000,
asia: 3719044000,
europe: 726777000,
latinamerica: 521419000,
northamerica: 313289000,
oceania: 31130000,
total: 6122770000,
}, {
year: '2050',
africa: 2191599000,
asia: 5142220000,
europe: 719257000,
latinamerica: 750956000,
northamerica: 446862000,
oceania: 55223000,
total: 9306128000,
}];

<dx-chart
id="chart"
palette="vintage"
[dataSource]="populationData"
title="Evolution of Population by Continent">
<dxi-series valueField="africa" name="Africa"></dxi-series>
<dxi-series valueField="asia" name="Asia"></dxi-series>
<dxi-series valueField="europe" name="Europe"></dxi-series>
<dxi-series valueField="latinamerica" name="Latin America & Caribbean"></dxi-series>
<dxi-series valueField="northamerica" name="Northern America"></dxi-series>
<dxi-series valueField="oceania" name="Oceania"></dxi-series>
<dxi-series
axis="total"
type="spline"
valueField="total"
name="Total"
color="#008fd8">
</dxi-series>
<dxo-common-series-settings
argumentField="year"
type="fullstackedbar">
</dxo-common-series-settings>
<dxi-value-axis>
<dxo-grid [visible]="true"></dxo-grid>
</dxi-value-axis>
<dxi-value-axis
name="total"
position="right">
<dxo-grid [visible]="true"></dxo-grid>
<dxo-title text="Total Population, billions"></dxo-title>
</dxi-value-axis>
<dxo-legend
verticalAlignment="bottom"
horizontalAlignment="center">
</dxo-legend>
<dxo-export [enabled]="true"></dxo-export>
<dxo-tooltip
[enabled]="true"
[shared]="true"
[customizeTooltip]="customizeTooltip">
<dxo-format type="largeNumber" [precision]="1"></dxo-format>
</dxo-tooltip>
</dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule } from 'devextreme-angular';
import { Service, Population } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css']
})
export class AppComponent {
populationData: Population[];
constructor(service: Service) {
this.populationData = service.getPopulationData();
}
customizeTooltip(arg: any) {
var items = arg.valueText.split("\n"),
color = arg.point.getColor();
items.forEach(function(item, index) {
if(item.indexOf(arg.seriesName) === 0) {
var element = document.createElement("span");
element.textContent = item;
element.style.color = color;
element.className = "active";
items[index] = element.outerHTML;
}
});
return { text: items.join("\n") };
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
::ng-deep .active {
font-weight: 500;
}
import { Injectable } from '@angular/core';
export class Population {
year: string;
africa: number;
asia: number;
europe: number;
latinamerica: number;
northamerica: number;
oceania: number;
total: number;
}
let populatinData: Population[] = [{
year: "1750",
africa: 106000000,
asia: 502000000,
europe: 163000000,
latinamerica: 16000000,
northamerica: 2000000,
oceania: 2000000,
total: 791000000
}, {
year: "1800",
africa: 107000000,
asia: 635000000,
europe: 203000000,
latinamerica: 24000000,
northamerica: 7000000,
oceania: 2000000,
total: 978000000
}, {
year: "1850",
africa: 111000000,
asia: 809000000,
europe: 276000000,
latinamerica: 38000000,
northamerica: 26000000,
oceania: 2000000,
total: 1262000000
}, {
year: "1900",
africa: 133000000,
asia: 947000000,
europe: 408000000,
latinamerica: 74000000,
northamerica: 82000000,
oceania: 6000000,
total: 1650000000
}, {
year: "1950",
africa: 229895000,
asia: 1403388000,
europe: 547287000,
latinamerica: 167368000,
northamerica: 171614000,
oceania: 12675000,
total: 2532227000
}, {
year: "2000",
africa: 811101000,
asia: 3719044000,
europe: 726777000,
latinamerica: 521419000,
northamerica: 313289000,
oceania: 31130000,
total: 6122770000
}, {
year: "2050",
africa: 2191599000,
asia: 5142220000,
europe: 719257000,
latinamerica: 750956000,
northamerica: 446862000,
oceania: 55223000,
total: 9306128000
}];
@Injectable()
export class Service {
getPopulationData(): Population[] {
return populatinData;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxChart
id="chart"
:data-source="populationData"
palette="Vintage"
>
<DxCommonSeriesSettings
argument-field="year"
type="fullstackedbar"
/>
<DxSeries
v-for="continent in continentSources"
:key="continent.value"
:value-field="continent.value"
:name="continent.name"
/>
<DxSeries
axis="total"
type="spline"
value-field="total"
name="Total"
color="#008fd8"
/>
<DxValueAxis>
<DxGrid :visible="true"/>
</DxValueAxis>
<DxValueAxis
name="total"
position="right"
title="Total Population, billions"
>
<DxGrid :visible="true"/>
</DxValueAxis>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
<DxExport :enabled="true"/>
<DxTooltip
:enabled="true"
:shared="true"
:customize-tooltip="customizeTooltip"
>
<DxFormat
:precision="1"
type="largeNumber"
/>
</DxTooltip>
<DxTitle text="Evolution of Population by Continent"/>
</DxChart>
</template>
<script>
import DxChart, {
DxCommonSeriesSettings,
DxSeries,
DxValueAxis,
DxExport,
DxLegend,
DxTooltip,
DxTitle,
DxGrid,
DxFormat,
} from 'devextreme-vue/chart';
import { continentSources, populationData } from './data.js';
export default {
components: {
DxChart,
DxCommonSeriesSettings,
DxSeries,
DxValueAxis,
DxExport,
DxLegend,
DxTooltip,
DxTitle,
DxGrid,
DxFormat,
},
data() {
return {
continentSources,
populationData,
};
},
methods: {
customizeTooltip(pointInfo) {
const items = pointInfo.valueText.split('\n');
const color = pointInfo.point.getColor();
items.forEach((item, index) => {
if (item.indexOf(pointInfo.seriesName) === 0) {
const element = document.createElement('span');
element.textContent = item;
element.style.color = color;
element.className = 'active';
items[index] = element.outerHTML;
}
});
return { text: items.join('\n') };
},
},
};
</script>
<style>
#chart {
height: 440px;
}
.active {
font-weight: 500;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const continentSources = [
{ value: 'africa', name: 'Africa' },
{ value: 'asia', name: 'Asia' },
{ value: 'europe', name: 'Europe' },
{ value: 'latinamerica', name: 'Latin America & Caribbean' },
{ value: 'northamerica', name: 'Northern America' },
{ value: 'oceania', name: 'Oceania' },
];
export const populationData = [{
year: '1750',
africa: 106000000,
asia: 502000000,
europe: 163000000,
latinamerica: 16000000,
northamerica: 2000000,
oceania: 2000000,
total: 791000000,
}, {
year: '1800',
africa: 107000000,
asia: 635000000,
europe: 203000000,
latinamerica: 24000000,
northamerica: 7000000,
oceania: 2000000,
total: 978000000,
}, {
year: '1850',
africa: 111000000,
asia: 809000000,
europe: 276000000,
latinamerica: 38000000,
northamerica: 26000000,
oceania: 2000000,
total: 1262000000,
}, {
year: '1900',
africa: 133000000,
asia: 947000000,
europe: 408000000,
latinamerica: 74000000,
northamerica: 82000000,
oceania: 6000000,
total: 1650000000,
}, {
year: '1950',
africa: 229895000,
asia: 1403388000,
europe: 547287000,
latinamerica: 167368000,
northamerica: 171614000,
oceania: 12675000,
total: 2532227000,
}, {
year: '2000',
africa: 811101000,
asia: 3719044000,
europe: 726777000,
latinamerica: 521419000,
northamerica: 313289000,
oceania: 31130000,
total: 6122770000,
}, {
year: '2050',
africa: 2191599000,
asia: 5142220000,
europe: 719257000,
latinamerica: 750956000,
northamerica: 446862000,
oceania: 55223000,
total: 9306128000,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
ValueAxis,
Export,
Legend,
Tooltip,
Title,
Grid,
Format
} from 'devextreme-react/chart';
import { continentSources, populationData } from './data.js';
class App extends React.Component {
render() {
return (
<Chart
id="chart"
palette="Vintage"
dataSource={populationData}
>
<CommonSeriesSettings
argumentField="year"
type="fullstackedbar"
/>
{
continentSources.map(function(item) {
return <Series key={item.value} valueField={item.value} name={item.name} />;
})
}
<Series
axis="total"
type="spline"
valueField="total"
name="Total"
color="#008fd8"
/>
<ValueAxis>
<Grid visible={true} />
</ValueAxis>
<ValueAxis
name="total"
position="right"
title="Total Population, billions"
>
<Grid visible={true} />
</ValueAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
<Tooltip
enabled={true}
shared={true}
customizeTooltip={customizeTooltip}
>
<Format
type="largeNumber"
precision={1}
/>
</Tooltip>
<Title text="Evolution of Population by Continent" />
</Chart>
);
}
}
function customizeTooltip(pointInfo) {
const items = pointInfo.valueText.split('\n');
const color = pointInfo.point.getColor();
items.forEach((item, index) => {
if(item.indexOf(pointInfo.seriesName) === 0) {
const element = document.createElement('span');
element.textContent = item;
element.style.color = color;
element.className = 'active';
items[index] = element.outerHTML;
}
});
return { text: items.join('\n') };
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
.active {
font-weight: 500;
}
export const continentSources = [
{ value: 'africa', name: 'Africa' },
{ value: 'asia', name: 'Asia' },
{ value: 'europe', name: 'Europe' },
{ value: 'latinamerica', name: 'Latin America & Caribbean' },
{ value: 'northamerica', name: 'Northern America' },
{ value: 'oceania', name: 'Oceania' }
];
export const populationData = [{
year: '1750',
africa: 106000000,
asia: 502000000,
europe: 163000000,
latinamerica: 16000000,
northamerica: 2000000,
oceania: 2000000,
total: 791000000
}, {
year: '1800',
africa: 107000000,
asia: 635000000,
europe: 203000000,
latinamerica: 24000000,
northamerica: 7000000,
oceania: 2000000,
total: 978000000
}, {
year: '1850',
africa: 111000000,
asia: 809000000,
europe: 276000000,
latinamerica: 38000000,
northamerica: 26000000,
oceania: 2000000,
total: 1262000000
}, {
year: '1900',
africa: 133000000,
asia: 947000000,
europe: 408000000,
latinamerica: 74000000,
northamerica: 82000000,
oceania: 6000000,
total: 1650000000
}, {
year: '1950',
africa: 229895000,
asia: 1403388000,
europe: 547287000,
latinamerica: 167368000,
northamerica: 171614000,
oceania: 12675000,
total: 2532227000
}, {
year: '2000',
africa: 811101000,
asia: 3719044000,
europe: 726777000,
latinamerica: 521419000,
northamerica: 313289000,
oceania: 31130000,
total: 6122770000
}, {
year: '2050',
africa: 2191599000,
asia: 5142220000,
europe: 719257000,
latinamerica: 750956000,
northamerica: 446862000,
oceania: 55223000,
total: 9306128000
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});